## postgresql-12-pgdg-pgroonga 2.3.9

=== Makefile ===
all:
	$(MAKE) -f pgroonga.mk all
	$(MAKE) -f pgroonga-check.mk all
	$(MAKE) -f pgroonga-database.mk all
	$(MAKE) -f pgroonga-wal-applier.mk all
	$(MAKE) -f pgroonga-crash-safer.mk all

clean:
	$(MAKE) -f pgroonga.mk clean
	$(MAKE) -f pgroonga-check.mk clean
	$(MAKE) -f pgroonga-database.mk clean
	$(MAKE) -f pgroonga-wal-applier.mk clean
	$(MAKE) -f pgroonga-crash-safer.mk clean

install:
	$(MAKE) -f pgroonga.mk install
	$(MAKE) -f pgroonga-check.mk install
	$(MAKE) -f pgroonga-database.mk install
	$(MAKE) -f pgroonga-wal-applier.mk install
	$(MAKE) -f pgroonga-crash-safer.mk install

installcheck:
	$(MAKE) -f pgroonga.mk installcheck
	#$(MAKE) -f pgroonga-check.mk installcheck
	#$(MAKE) -f pgroonga-database.mk installcheck
	#$(MAKE) -f pgroonga-wal-applier.mk installcheck
	#$(MAKE) -f pgroonga-crash-safer.mk installcheck

## postgresql-12-pgdg-pgroonga 2.2.6

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.2.6-2) unstable; urgency=low

  * Fix a bug that WAL support is disabled.

 -- Sutou Kouhei <kou@clear-code.com>  Thu, 03 Sep 2020 00:01:07 -0000

postgresql-12-pgdg-pgroonga (2.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Thu, 06 Aug 2020 21:59:02 -0000

=== debian/control ===
Source: postgresql-12-pgdg-pgroonga
Section: database
Priority: optional
Maintainer: PGroonga Project <packages@groonga.org>
Build-Depends:
  debhelper (>= 11.1.6),
  libgroonga-dev,
  libmsgpack-dev,
  pkg-config,
  postgresql-server-dev-12
Standards-Version: 4.3.0
Homepage: https://pgroonga.github.io/

Package: postgresql-12-pgdg-pgroonga
Architecture: any
Conflicts: postgresql-12-pgroonga
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libgroonga0 (>= 10.0.6),
  postgresql-12
Description: Fast full-text search plugin for PostgreSQL based on Groonga
 PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.
 It is based on Groonga full-text search engine.

## postgresql-12-pgdg-pgroonga 2.2.7

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Tue, 10 Nov 2020 01:53:27 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 10.0.6),
+  libgroonga0 (>= 10.0.8),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 2.2.8

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Sat, 26 Dec 2020 22:55:28 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 10.0.8),
+  libgroonga0 (>= 10.1.0),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 2.2.9

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.2.9-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Sat, 03 Apr 2021 23:17:33 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 10.1.0),
+  libgroonga0 (>= 11.0.1),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 2.3.0

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Fri, 14 May 2021 07:10:39 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 11.0.1),
+  libgroonga0 (>= 11.0.2),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 2.3.1

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 05 Aug 2021 03:15:48 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 11.0.2),
+  libgroonga0 (>= 11.0.5),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 2.3.2

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Mon, 04 Oct 2021 08:40:44 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 11.0.5),
+  libgroonga0 (>= 11.0.7),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 2.3.3

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Fri, 05 Nov 2021 02:35:03 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 11.0.7),
+  libgroonga0 (>= 11.0.9),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 2.3.4

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Tue, 09 Nov 2021 09:01:59 -0000

## postgresql-12-pgdg-pgroonga 2.3.5

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Wed, 09 Mar 2022 01:11:05 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 11.0.9),
+  libgroonga0 (>= 12.0.1),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 2.3.6

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.3.6-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 17 Mar 2022 05:10:08 -0000

## postgresql-12-pgdg-pgroonga 2.3.7

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.3.7-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 09 Jun 2022 09:01:54 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 12.0.1),
+  libgroonga0 (>= 12.0.4),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 2.3.8

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.3.8-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Mon, 08 Aug 2022 04:43:41 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 12.0.4),
+  libgroonga0 (>= 12.0.6),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 2.3.9

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.3.9-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Wed, 14 Sep 2022 07:37:07 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 12.0.6),
+  libgroonga0 (>= 12.0.7),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 2.4.0

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Fri, 07 Oct 2022 07:10:56 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 12.0.7),
+  libgroonga0 (>= 12.0.8),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 2.4.1

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Takashi Hashida <hashida@clear-code.com>  Tue, 01 Nov 2022 08:55:28 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 12.0.8),
+  libgroonga0 (>= 12.0.9),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 2.4.2

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Wed, 30 Nov 2022 08:26:24 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 12.0.9),
+  libgroonga0 (>= 12.1.0),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 2.4.3

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Tue, 10 Jan 2023 08:52:23 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 12.1.0),
+  libgroonga0 (>= 12.1.1),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 2.4.4

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Mon, 30 Jan 2023 03:11:24 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 12.1.1),
+  libgroonga0 (>= 12.1.2),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 2.4.5

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.4.5-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Fri, 03 Mar 2023 09:02:11 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 12.1.2),
+  libgroonga0 (>= 13.0.0),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 2.4.6

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.4.6-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Fri, 24 Mar 2023 06:31:12 -0000

## postgresql-12-pgdg-pgroonga 2.4.7

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (2.4.7-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Mon, 27 Mar 2023 00:05:02 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 13.0.0),
+  libgroonga0 (>= 13.0.1),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 3.0.0

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Thu, 13 Apr 2023 02:33:29 -0000

## postgresql-12-pgdg-pgroonga 3.0.1

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Thu, 27 Apr 2023 07:04:40 -0000

## postgresql-12-pgdg-pgroonga 3.0.2

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Wed, 10 May 2023 12:45:24 -0000

## postgresql-12-pgdg-pgroonga 3.0.3

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Wed, 17 May 2023 09:33:26 -0000

## postgresql-12-pgdg-pgroonga 3.0.4

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Mon, 29 May 2023 04:26:11 -0000

## postgresql-12-pgdg-pgroonga 3.0.5

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Wed, 31 May 2023 00:00:52 -0000

## postgresql-12-pgdg-pgroonga 3.0.6

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Wed, 31 May 2023 13:55:40 -0000

## postgresql-12-pgdg-pgroonga 3.0.7

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Tue, 13 Jun 2023 06:51:25 -0000

## postgresql-12-pgdg-pgroonga 3.0.8

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Thu, 22 Jun 2023 06:08:24 -0000

## postgresql-12-pgdg-pgroonga 3.0.9

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.0.9-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Mon, 03 Jul 2023 06:05:00 -0000

## postgresql-12-pgdg-pgroonga 3.1.0

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Wed, 12 Jul 2023 08:42:56 -0000

## postgresql-12-pgdg-pgroonga 3.1.1

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Wed, 26 Jul 2023 05:23:33 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 13.0.1),
+  libgroonga0 (>= 13.0.4),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 3.1.2

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Wed, 09 Aug 2023 12:17:14 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 13.0.4),
+  libgroonga0 (>= 13.0.5),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 3.1.3

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Thu, 17 Aug 2023 09:13:09 -0000

## postgresql-12-pgdg-pgroonga 3.1.4

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 28 Sep 2023 13:15:41 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 13.0.5),
+  libgroonga0 (>= 13.0.8),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 3.1.5

=== CMakeLists.txt ===
# CMake support is only for Windows

cmake_minimum_required(VERSION 3.16)

set(PGRN_PROJECT_NAME "PGroonga")
set(PGRN_PROJECT_ID "pgroonga")
set(PGRN_VENDOR "The PGroonga Project")

project("${PGRN_PROJECT_ID}")

if(MSVC_VERSION LESS 1800)
  message(FATAL_ERROR "PGroonga supports only MSVC 2013 or later")
endif()

add_subdirectory(vendor/groonga)

set(PGRN_POSTGRESQL_DIR "${CMAKE_INSTALL_PREFIX}"
  CACHE PATH "PostgreSQL binary directory")
set(PGRN_POSTGRESQL_VERSION_MAJOR "unknown"
  CACHE STRING "PostgreSQL major version")

set(PGRN_DLL_NAME "${PGRN_PROJECT_ID}")
set(PGRN_CHECK_DLL_NAME "${PGRN_PROJECT_ID}_check")
set(PGRN_DATABASE_DLL_NAME "${PGRN_PROJECT_ID}_database")
set(PGRN_WAL_APPLIER_DLL_NAME "${PGRN_PROJECT_ID}_wal_applier")
set(PGRN_CRASH_SAFER_DLL_NAME "${PGRN_PROJECT_ID}_crash_safer")
set(PGRN_STANDBY_MAINTAINER_DLL_NAME "${PGRN_PROJECT_ID}_standby_maintainer")

set(PGRN_LIBRARY_NAME "lib${PGRN_DLL_NAME}")
set(PGRN_CHECK_LIBRARY_NAME "lib${PGRN_CHECK_DLL_NAME}")
set(PGRN_DATABASE_LIBRARY_NAME "lib${PGRN_DATABASE_DLL_NAME}")
set(PGRN_WAL_APPLIER_LIBRARY_NAME "lib${PGRN_WAL_APPLIER_DLL_NAME}")
set(PGRN_CRASH_SAFER_LIBRARY_NAME "lib${PGRN_CRASH_SAFER_DLL_NAME}")
set(PGRN_STANDBY_MAINTAINER_LIBRARY_NAME "lib${PGRN_STANDBY_MAINTAINER_DLL_NAME}")

set(PGRN_EXTENSION_DIR "lib")
set(PGRN_EXTENSION_DATA_DIR "share/extension")
set(PGRN_DOCUMENT_DIR "share/${PGRN_PROJECT_ID}")

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/${PGRN_PROJECT_ID}.control"
  PGRN_CONTROL)

string(REGEX REPLACE "^default_version = '([0-9.]+)'.*" "\\1"
  PGRN_VERSION "${PGRN_CONTROL}")
string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\1"
  PGRN_VERSION_MAJOR "${PGRN_VERSION}")
string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\2"
  PGRN_VERSION_MINOR "${PGRN_VERSION}")
string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\3"
  PGRN_VERSION_MICRO "${PGRN_VERSION}")

string(REGEX REPLACE ".*comment = '([^']+)'.*" "\\1"
  PGRN_DESCRIPTION "${PGRN_CONTROL}")

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/vendor/groonga/bundled_message_pack_version"
  PGRN_BUNDLED_MESSAGE_PACK_VERSION)
string(STRIP
  "${PGRN_BUNDLED_MESSAGE_PACK_VERSION}"
  PGRN_BUNDLED_MESSAGE_PACK_VERSION)
set(PGRN_BUNDLED_MESSAGE_PACK_DIR
  "${CMAKE_CURRENT_SOURCE_DIR}/vendor/groonga/vendor/msgpack-${PGRN_BUNDLED_MESSAGE_PACK_VERSION}")

add_definitions(
  -DPGRN_VERSION="${PGRN_VERSION}"
  -DPGRN_HAVE_MSGPACK)
include_directories(
  "${PGRN_POSTGRESQL_DIR}/include/server/port/win32_msvc"
  "${PGRN_POSTGRESQL_DIR}/include/server/port/win32"
  "${PGRN_POSTGRESQL_DIR}/include/server"
  "${PGRN_POSTGRESQL_DIR}/include"
  "${CMAKE_CURRENT_BINARY_DIR}/vendor/groonga/include"
  "${CMAKE_CURRENT_SOURCE_DIR}/vendor/groonga/include"
  "${CMAKE_CURRENT_SOURCE_DIR}/vendor/xxHash"
  "${PGRN_BUNDLED_MESSAGE_PACK_DIR}/include")
link_directories(
  "${PGRN_POSTGRESQL_DIR}/lib")

file(READ
  ${CMAKE_CURRENT_SOURCE_DIR}/makefiles/pgroonga-sources.mk
  PGRN_SOURCES)
string(REGEX REPLACE "^.*=[ \t]*\\\\" ""
  PGRN_SOURCES "${PGRN_SOURCES}")
string(REGEX REPLACE "[ \t\n]" "" PGRN_SOURCES "${PGRN_SOURCES}")
string(REGEX REPLACE "\\\\" ";" PGRN_SOURCES "${PGRN_SOURCES}")
list(APPEND PGRN_SOURCES "vendor/xxHash/xxhash.c")

file(READ
  ${CMAKE_CURRENT_SOURCE_DIR}/makefiles/pgroonga-headers.mk
  PGRN_HEADERS)
string(REGEX REPLACE "^.*=[ \t]*\\\\" ""
  PGRN_HEADERS "${PGRN_HEADERS}")
string(REGEX REPLACE "[ \t\n]" "" PGRN_HEADERS "${PGRN_HEADERS}")
string(REGEX REPLACE "\\\\" ";" PGRN_HEADERS "${PGRN_HEADERS}")
list(APPEND PGRN_HEADERS "vendor/xxHash/xxhash.h")

file(READ
  ${CMAKE_CURRENT_SOURCE_DIR}/makefiles/pgroonga-check-sources.mk
  PGRN_CHECK_SOURCES)
string(REGEX REPLACE "^.*=[ \t]*\\\\" ""
  PGRN_CHECK_SOURCES "${PGRN_CHECK_SOURCES}")
string(REGEX REPLACE "[ \t\n]" "" PGRN_CHECK_SOURCES "${PGRN_CHECK_SOURCES}")
string(REGEX REPLACE "\\\\" ";" PGRN_CHECK_SOURCES "${PGRN_CHECK_SOURCES}")

file(READ
  ${CMAKE_CURRENT_SOURCE_DIR}/makefiles/pgroonga-database-sources.mk
  PGRN_DATABASE_SOURCES)
string(REGEX REPLACE "^.*=[ \t]*\\\\" ""
  PGRN_DATABASE_SOURCES "${PGRN_DATABASE_SOURCES}")
string(REGEX REPLACE "[ \t\n]" ""
  PGRN_DATABASE_SOURCES "${PGRN_DATABASE_SOURCES}")
string(REGEX REPLACE "\\\\" ";"
  PGRN_DATABASE_SOURCES "${PGRN_DATABASE_SOURCES}")

file(READ
  ${CMAKE_CURRENT_SOURCE_DIR}/makefiles/pgroonga-wal-applier-sources.mk
  PGRN_WAL_APPLIER_SOURCES)
string(REGEX REPLACE "^.*=[ \t]*\\\\" ""
  PGRN_WAL_APPLIER_SOURCES "${PGRN_WAL_APPLIER_SOURCES}")
string(REGEX REPLACE "[ \t\n]" ""
  PGRN_WAL_APPLIER_SOURCES "${PGRN_WAL_APPLIER_SOURCES}")
string(REGEX REPLACE "\\\\" ";"
  PGRN_WAL_APPLIER_SOURCES "${PGRN_WAL_APPLIER_SOURCES}")

file(READ
  ${CMAKE_CURRENT_SOURCE_DIR}/makefiles/pgroonga-crash-safer-sources.mk
  PGRN_CRASH_SAFER_SOURCES)
string(REGEX REPLACE "^.*=[ \t]*\\\\" ""
  PGRN_CRASH_SAFER_SOURCES "${PGRN_CRASH_SAFER_SOURCES}")
string(REGEX REPLACE "[ \t\n]" ""
  PGRN_CRASH_SAFER_SOURCES "${PGRN_CRASH_SAFER_SOURCES}")
string(REGEX REPLACE "\\\\" ";"
  PGRN_CRASH_SAFER_SOURCES "${PGRN_CRASH_SAFER_SOURCES}")

file(READ
  ${CMAKE_CURRENT_SOURCE_DIR}/makefiles/pgroonga-standby-maintainer-sources.mk
  PGRN_STANDBY_MAINTAINER_SOURCES)
string(REGEX REPLACE "^.*=[ \t]*\\\\" ""
  PGRN_STANDBY_MAINTAINER_SOURCES "${PGRN_STANDBY_MAINTAINER_SOURCES}")
string(REGEX REPLACE "[ \t\n]" ""
  PGRN_STANDBY_MAINTAINER_SOURCES "${PGRN_STANDBY_MAINTAINER_SOURCES}")
string(REGEX REPLACE "\\\\" ";"
  PGRN_STANDBY_MAINTAINER_SOURCES "${PGRN_STANDBY_MAINTAINER_SOURCES}")

set_source_files_properties(${PGRN_SOURCES}
  PROPERTIES
  COMPILE_FLAGS "/EHsc")
configure_file(
  "src/pgroonga.rc.in"
  "${CMAKE_CURRENT_BINARY_DIR}/src/pgroonga.rc"
  @ONLY)
set(PGRN_SOURCES
  "${CMAKE_CURRENT_BINARY_DIR}/src/pgroonga.rc"
  ${PGRN_HEADERS}
  ${PGRN_SOURCES})
add_library("${PGRN_LIBRARY_NAME}" SHARED ${PGRN_SOURCES})
set_target_properties("${PGRN_LIBRARY_NAME}"
  PROPERTIES
  OUTPUT_NAME "${PGRN_DLL_NAME}")
target_link_libraries("${PGRN_LIBRARY_NAME}"
  libgroonga
  msgpackc
  "postgres.lib")
install(TARGETS "${PGRN_LIBRARY_NAME}"
  DESTINATION "${PGRN_EXTENSION_DIR}")

set_source_files_properties(${PGRN_CHECK_SOURCES}
  PROPERTIES
  COMPILE_FLAGS "/EHsc")
configure_file(
  "src/pgroonga-check.rc.in"
  "${CMAKE_CURRENT_BINARY_DIR}/src/pgroonga-check.rc"
  @ONLY)
set(PGRN_CHECK_SOURCES
  "${CMAKE_CURRENT_BINARY_DIR}/src/pgroonga-check.rc"
  ${PGRN_CHECK_SOURCES})
add_library("${PGRN_CHECK_LIBRARY_NAME}" SHARED ${PGRN_CHECK_SOURCES})
set_target_properties("${PGRN_CHECK_LIBRARY_NAME}"
  PROPERTIES
  OUTPUT_NAME "${PGRN_CHECK_DLL_NAME}")
target_link_libraries("${PGRN_CHECK_LIBRARY_NAME}"
  libgroonga
  "postgres.lib")
install(TARGETS "${PGRN_CHECK_LIBRARY_NAME}"
  DESTINATION "${PGRN_EXTENSION_DIR}")

set_source_files_properties(${PGRN_DATABASE_SOURCES}
  PROPERTIES
  COMPILE_FLAGS "/EHsc")
configure_file(
  "src/pgroonga-database.rc.in"
  "${CMAKE_CURRENT_BINARY_DIR}/src/pgroonga-database.rc"
  @ONLY)
set(PGRN_DATABASE_SOURCES
  "${CMAKE_CURRENT_BINARY_DIR}/src/pgroonga-database.rc"
  ${PGRN_DATABASE_SOURCES})
add_library("${PGRN_DATABASE_LIBRARY_NAME}" SHARED ${PGRN_DATABASE_SOURCES})
set_target_properties("${PGRN_DATABASE_LIBRARY_NAME}"
  PROPERTIES
  OUTPUT_NAME "${PGRN_DATABASE_DLL_NAME}")
target_link_libraries("${PGRN_DATABASE_LIBRARY_NAME}"
  libgroonga
  "postgres.lib")
install(TARGETS "${PGRN_DATABASE_LIBRARY_NAME}"
  DESTINATION "${PGRN_EXTENSION_DIR}")

set_source_files_properties(${PGRN_WAL_APPLIER_SOURCES}
  PROPERTIES
  COMPILE_FLAGS "/EHsc")
configure_file(
  "src/pgroonga-wal-applier.rc.in"
  "${CMAKE_CURRENT_BINARY_DIR}/src/pgroonga-wal-applier.rc"
  @ONLY)
set(PGRN_WAL_APPLIER_SOURCES
  "${CMAKE_CURRENT_BINARY_DIR}/src/pgroonga-wal-applier.rc"
  ${PGRN_WAL_APPLIER_SOURCES})
add_library("${PGRN_WAL_APPLIER_LIBRARY_NAME}" SHARED
  ${PGRN_WAL_APPLIER_SOURCES})
set_target_properties("${PGRN_WAL_APPLIER_LIBRARY_NAME}"
  PROPERTIES
  OUTPUT_NAME "${PGRN_WAL_APPLIER_DLL_NAME}")
target_link_libraries("${PGRN_WAL_APPLIER_LIBRARY_NAME}"
  libgroonga
  "postgres.lib")
install(TARGETS "${PGRN_WAL_APPLIER_LIBRARY_NAME}"
  DESTINATION "${PGRN_EXTENSION_DIR}")

set_source_files_properties(${PGRN_CRASH_SAFER_SOURCES}
  PROPERTIES
  COMPILE_FLAGS "/EHsc")
configure_file(
  "src/pgroonga-crash-safer.rc.in"
  "${CMAKE_CURRENT_BINARY_DIR}/src/pgroonga-crash-safer.rc"
  @ONLY)
set(PGRN_CRASH_SAFER_SOURCES
  "${CMAKE_CURRENT_BINARY_DIR}/src/pgroonga-crash-safer.rc"
  ${PGRN_CRASH_SAFER_SOURCES})
add_library("${PGRN_CRASH_SAFER_LIBRARY_NAME}" SHARED
  ${PGRN_CRASH_SAFER_SOURCES})
set_target_properties("${PGRN_CRASH_SAFER_LIBRARY_NAME}"
  PROPERTIES
  OUTPUT_NAME "${PGRN_CRASH_SAFER_DLL_NAME}")
target_link_libraries("${PGRN_CRASH_SAFER_LIBRARY_NAME}"
  libgroonga
  "postgres.lib")
install(TARGETS "${PGRN_CRASH_SAFER_LIBRARY_NAME}"
  DESTINATION "${PGRN_EXTENSION_DIR}")

set_source_files_properties(${PGRN_STANDBY_MAINTAINER_SOURCES}
  PROPERTIES
  COMPILE_FLAGS "/EHsc")
configure_file(
  "src/pgroonga-standby-maintainer.rc.in"
  "${CMAKE_CURRENT_BINARY_DIR}/src/pgroonga-standby-maintainer.rc"
  @ONLY)
set(PGRN_STANDBY_MAINTAINER_SOURCES
  "${CMAKE_CURRENT_BINARY_DIR}/src/pgroonga-standby-maintainer.rc"
  ${PGRN_STANDBY_MAINTAINER_SOURCES})
add_library("${PGRN_STANDBY_MAINTAINER_LIBRARY_NAME}" SHARED
  ${PGRN_STANDBY_MAINTAINER_SOURCES})
set_target_properties("${PGRN_STANDBY_MAINTAINER_LIBRARY_NAME}"
  PROPERTIES
  OUTPUT_NAME "${PGRN_STANDBY_MAINTAINER_DLL_NAME}")
target_link_libraries("${PGRN_STANDBY_MAINTAINER_LIBRARY_NAME}"
  libgroonga
  "postgres.lib")
install(TARGETS "${PGRN_STANDBY_MAINTAINER_LIBRARY_NAME}"
  DESTINATION "${PGRN_EXTENSION_DIR}")

install(FILES
  "${PROJECT_SOURCE_DIR}/${PGRN_PROJECT_ID}.control"
  DESTINATION "${PGRN_EXTENSION_DATA_DIR}")
install(FILES
  "${PROJECT_SOURCE_DIR}/${PGRN_PROJECT_ID}_database.control"
  DESTINATION "${PGRN_EXTENSION_DATA_DIR}")

install(FILES
  "${PROJECT_SOURCE_DIR}/data/${PGRN_PROJECT_ID}.sql"
  RENAME "${PGRN_PROJECT_ID}--${PGRN_VERSION}.sql"
  DESTINATION "${PGRN_EXTENSION_DATA_DIR}")
file(GLOB PGRN_UPGRADE_SQL_FILES "data/${PGRN_PROJECT_ID}--*--*.sql")
install(FILES
  ${PGRN_UPGRADE_SQL_FILES}
  DESTINATION "${PGRN_EXTENSION_DATA_DIR}")

install(FILES
  "${PROJECT_SOURCE_DIR}/data/${PGRN_PROJECT_ID}_database.sql"
  RENAME "${PGRN_PROJECT_ID}_database--${PGRN_VERSION}.sql"
  DESTINATION "${PGRN_EXTENSION_DATA_DIR}")
file(GLOB PGRN_DATABASE_UPGRADE_SQL_FILES
  "data/${PGRN_PROJECT_ID}_database--*--*.sql")
install(FILES
  ${PGRN_DATABASE_UPGRADE_SQL_FILES}
  DESTINATION "${PGRN_EXTENSION_DATA_DIR}")

install(FILES
  "${PROJECT_SOURCE_DIR}/COPYING"
  "${PROJECT_SOURCE_DIR}/README.md"
  DESTINATION "${PGRN_DOCUMENT_DIR}")


set(CPACK_GENERATOR "ZIP")
set(CPACK_INCLUDE_TOPLEVEL_DIRECTORY OFF)
set(CPACK_PACKAGE_VERSION_MAJOR "${PGRN_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${PGRN_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${PGRN_VERSION_MICRO}")
set(CPACK_PACKAGE_VENDOR "${PGRN_VENDOR}")
if(CMAKE_CL_64)
  set(PGRN_SYSTEM_NAME "x64")
else()
  set(PGRN_SYSTEM_NAME "x86")
endif()
set(CPACK_PACKAGE_FILE_NAME
  "${PGRN_PROJECT_ID}-${PGRN_VERSION}-postgresql-${PGRN_POSTGRESQL_VERSION_MAJOR}-${PGRN_SYSTEM_NAME}")

include(CPack)

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Fri, 29 Sep 2023 05:45:19 -0000

## postgresql-12-pgdg-pgroonga 3.1.6

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.1.6-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Wed, 10 Jan 2024 05:22:59 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 13.0.8),
+  libgroonga0 (>= 13.1.1),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 3.1.7

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.1.7-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Mon, 05 Feb 2024 08:02:34 -0000

## postgresql-12-pgdg-pgroonga 3.1.8

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.1.8-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Tue, 27 Feb 2024 07:58:21 -0000

## postgresql-12-pgdg-pgroonga 3.1.9

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.1.9-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Wed, 27 Mar 2024 03:31:37 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 13.1.1),
+  libgroonga0 (>= 14.0.1),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 3.2.0

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Thu, 18 Apr 2024 09:25:19 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 14.0.1),
+  libgroonga0 (>= 14.0.2),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 3.2.1

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 04 Jul 2024 08:06:57 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 14.0.2),
+  libgroonga0 (>= 14.0.5),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 3.2.2

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Abe Tomoaki <abe@clear-code.com>  Mon, 05 Aug 2024 12:42:07 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 14.0.5),
+  libgroonga0 (>= 14.0.6),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 3.2.3

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Wed, 25 Sep 2024 06:19:05 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 14.0.6),
+  libgroonga0 (>= 14.0.8),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

## postgresql-12-pgdg-pgroonga 3.2.4

=== debian/changelog ===
postgresql-12-pgdg-pgroonga (3.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 03 Oct 2024 09:46:45 -0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 14.0.8),
+  libgroonga0 (>= 14.0.9),
   postgresql-12
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.
